#ifndef NAME_LEN
#define NAME_LEN   16        // max length of entity names
#endif

#define MAT_COOKIE 32456123

typedef struct material_type
{
   int     cookie;
   char    name[NAME_LEN];
   drgb_t  ambient;
   drgb_t  diffuse;
   drgb_t  specular;
}  material_t;

void        material_init(FILE *in,list_t *list,int attrmax);
void        material_load_attributes(FILE *in,material_t *mat);
material_t* material_getbyname(list_t *list,char *name);
void        material_print(material_t *mat,FILE *out);
void        material_list_print(list_t *list,FILE *out);
char*       material_getname(material_t *mat);
void        material_getamb(material_t *mat,drgb_t dst);
void        material_getdiff(material_t *mat,drgb_t dst);
void        material_getspec(material_t *mat,drgb_t dst);
