#ifndef NAME_LEN
#define NAME_LEN   16        // max length of entity names
#endif

typedef struct plane_type
{
  object_t   obj;
  vec_t      normal;
  vec_t      point;
  double     ndotq;
} plane_t;

// constructor
void      plane_init(FILE*,list_t*,list_t*,int);

// virtual functions (signature must match, name doesn't have to)
void      plane_print(object_t*,FILE*);
double    plane_hits(object_t*,vec_t,vec_t,vec_t,vec_t);
